{
  "name": "c-post",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "cross-env NEXT_PUBLIC_API_URL=https://cpost.felixits.uz next dev --port=3080",
    "build": "cross-env NEXT_PUBLIC_API_URL=https://api.cpost-express.uz next build",
    "build:dev": "cross-env NEXT_PUBLIC_API_URL=https://cpost.felixits.uz next build",
    "build:prod": "cross-env NEXT_PUBLIC_API_URL=https://api.cpost-express.uz next build",
    "start": "next start",
    "lint": "next lint",
    "test": "vitest",
    "check-types": "tsc --noemit",
    "format-code": "prettier --write .",
    "prepare": "husky install"
  },
  "dependencies": {
    "@emotion/cache": "^11.11.0",
    "@emotion/react": "^11.11.3",
    "@emotion/styled": "^11.11.0",
    "@mui/icons-material": "^5.15.3",
    "@mui/material": "^5.15.3",
    "@mui/material-nextjs": "^5.15.3",
    "@tanstack/react-query": "^4.35.0",
    "@tanstack/react-query-next-experimental": "^5.17.9",
    "aos": "^2.3.4",
    "axios": "^1.6.5",
    "cookies-next": "^4.1.0",
    "i18next": "^23.7.16",
    "lodash.clonedeep": "^4.5.0",
    "lodash.debounce": "^4.0.8",
    "lodash.get": "^4.4.2",
    "lodash.omit": "^4.5.0",
    "next": "14.0.4",
    "next-i18next": "^15.2.0",
    "next-intl": "^3.4.2",
    "nextjs-progressbar": "^0.0.16",
    "react": "^18",
    "react-dom": "^18",
    "react-hook-form": "^7.49.3",
    "react-hot-toast": "^2.4.1",
    "react-i18next": "^14.0.0",
    "react-select": "^5.8.0",
    "simplebar-react": "^3.2.4",
    "swiper": "^11.0.5",
    "use-dehydrated-state": "^0.1.0",
    "zustand": "^4.4.7"
  },
  "devDependencies": {
    "@tanstack/react-query-devtools": "^4.35.3",
    "@types/aos": "^3.0.7",
    "@types/i18next": "^13.0.0",
    "@types/lodash.clonedeep": "^4.5.9",
    "@types/lodash.debounce": "^4.0.9",
    "@types/lodash.get": "^4.4.9",
    "@types/lodash.omit": "^4.5.9",
    "@types/node": "^20",
    "@types/parse-json": "^4.0.2",
    "@types/react": "^18",
    "@types/react-dom": "^18",
    "@types/react-i18next": "^8.1.0",
    "@types/react-select": "^5.0.1",
    "@vitejs/plugin-react": "^4.2.1",
    "cross-env": "^7.0.3",
    "eslint": "^8",
    "eslint-config-next": "14.0.4",
    "husky": "^8.0.0",
    "jsdom": "^23.2.0",
    "lint-staged": "^15.2.0",
    "prettier": "^3.1.1",
    "typescript": "^5",
    "vitest": "^1.1.3"
  },
  "packageManager": "yarn@1.22.22+sha512.a6b2f7906b721bba3d67d4aff083df04dad64c399707841b7acf00f6b133b7ac24255f2652fa22ae3534329dc6180534e98d17432037ff6fd140556e2bb3137e"
}